%bcond_without check

%global goipath         github.com/go-martini/martini
Version:                1.0
%global commit          22fa46961aabd2665cf3f1343b146d20028f5071

%gometa

%global common_description %{expand:
Martini is a powerful package for quickly writing modular web
applications/services in Golang.}

%global golicenses      LICENSE
%global godocs          README.md translations/*.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Classy web framework for go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/codegangsta/inject)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0-2.git22fa469
- Rebuilt for loongarch64

* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-1
- initial build
